X



トップページLinux
745コメント317KB

KDEスレ Part 11

0695login:Penguin
垢版 |
2024/06/01(土) 12:31:19.12ID:aZKiNn/n
今度そこになったのかな
で、その画像の左のコラムに通知ってあって
アプリケーションの固有の設定>スクリーンセーバー>イベントの設定で今まではできてた
0696login:Penguin
垢版 |
2024/06/01(土) 13:37:12.89ID:g3A8Z6LD
>>695
Plasma6で、全般的にカテゴリーわけとか
だいぶ変更さてます
明らかになくなった機能って
カスタムショートカットぐらいかな
0697login:Penguin
垢版 |
2024/06/02(日) 13:35:10.57ID:VpU1GG33
dolphinがストレージの応答待ちで止まると
dolphinだけでなくdolphinが乗ってるデスクトップのパネル(タスクバー)までタイムアウトするまで固まってしまう
デバイスやアプリケーションが常に応答を即返してくるとは限らないため非同期的に処理していただきたいところ
0698login:Penguin
垢版 |
2024/06/02(日) 16:31:01.01ID:dugTbFg6
>>697
誤って、沢山のタブ開いたり
PCがフリーズしかねない
操作については、問い合わせるようになってるはずですけど…
ぶっちゃけ、ファイルの操作やブラウジングなんかは
KIOの仕事なのでDolphin単体じゃどうにもできんよ
そして、要望とかは、バグレポで提出しないと意味ありません
0699login:Penguin ころころ
垢版 |
2024/06/02(日) 17:35:29.67ID:NIKpZknn
Vaults(encfs)にデータを400GB程度入れたら画像1枚移動させるだけで数秒かかるレベルまで速度が落ちた
ググってもサイズで極端に遅くなる情報なんて落ちてないし、デフォルトはgocryptfsでいいんじゃないかな?
0700login:Penguin
垢版 |
2024/06/07(金) 09:24:48.81ID:Eoz2qG53
kwallet作ったやつマジで気が狂ってるよな
0701login:Penguin
垢版 |
2024/06/07(金) 11:12:20.51ID:+oN88Vr7
【前提】
konsole で、
タブを例えば2つ開いている場合、一方のタブをウィンドウ枠外にドラッグすると、2つのウィンドウに分離する。
【質問】
これと逆に、2つのウィンドウを合体し、2つのタブを持つ1つのウィンドウにするには、どうしたら?
0703login:Penguin
垢版 |
2024/06/07(金) 12:47:37.41ID:d+x/0Rrv
>>700
鳥インストール直後にまずKDEウォレットサブシステムを使うのレ点外す
0704login:Penguin
垢版 |
2024/06/07(金) 12:54:46.75ID:z9oE0ROD
>>701
タブをドラッグして元のウィンドウにドロップ
ドロップする場所はタイトルバー以外どこでもOK

タブバーが表示されていない場合は Ctrl+Shift+T などで新しいタブを追加して表示させる
または「設定」(Ctrl+Shift+,) > 「タブバー/スプリッター」パネル > 「外観」タブ > 「表示: 常に表示(Y)」にチェック
0705login:Penguin
垢版 |
2024/06/07(金) 19:28:54.91ID:9pZwALJN
>>704
> タブをドラッグして

なるほど。タイトルバーを懸命にドラッグしていた。ありがとう。
0706login:Penguin
垢版 |
2024/06/08(土) 13:27:25.82ID:UB9ZkTSD
audacityは音の関連で凄く良いアプリなんだけどKDEだと
env LANG=C audacity &audacity
ってやらないと起動できない
0707login:Penguin
垢版 |
2024/06/08(土) 14:15:08.73ID:XxjtcExg
>>706
そんなことないよ(Debian bookworm)
0708login:Penguin
垢版 |
2024/06/08(土) 15:42:24.60ID:UB9ZkTSD
だめかも

>>707
$ cat /etc/os-release
PRETTY_NAME="Ubuntu 22.04.4 LTS"
NAME="Ubuntu"
VERSION_ID="22.04"
VERSION="22.04.4 LTS (Jammy Jellyfish)"
VERSION_CODENAME=jammy
ID=ubuntu
ID_LIKE=debian
0709login:Penguin
垢版 |
2024/06/08(土) 15:43:04.55ID:UB9ZkTSD
The Build
Program build date:
Jun 8 2024
Commit Id:
d8f4c2 of Wed Apr 24 13:55:07 2024 +0300
Build type:
CMake Debug build (debug level 1), 64 bits
Compiler:
GCC 11.4.0 (Audacity)
Installation Prefix:
/usr/local
Core Libraries
wxWidgets
(Cross-platform GUI library)
3.1.3 (Audacity)
PortAudio
(Audio playback and recording)
v19
libsoxr
(Sample rate conversion)
Enabled
0710login:Penguin
垢版 |
2024/06/08(土) 15:47:48.95ID:zKUer3Eh
サウンドエディタは、KDEにしてから kwaveで済ませている。
せいぜい wavファイルを切り取るぐらいしかしないので。
0711login:Penguin
垢版 |
2024/06/08(土) 16:33:34.99ID:XxjtcExg
>>709
それ野良ビルドでしょ?
aptで入れれば?
0712login:Penguin
垢版 |
2024/06/08(土) 18:22:20.57ID:UB9ZkTSD
>>710
おお!ありがとう、ほしいのはまさにそれ!

>>711
aptで入れても同じ結果に
.conan2/p/wxwidb98b70ce5e75b/p/include/wx-3.1/wx/font.h(261): assert ""pointSize == -1 || pointSize >= 0"" failed in ToFloatPointSize(): Invalid font point size
こんなエラーが大量に出て起動できない
野良でもaptでも両方エラー、どっちもenv LANG=C audacity &audacityで起動するから新しいバージョンの野良を使ってる

マルチメディア系(主にffmpeg)のバージョン新し目を野良で入れてるので若干システムに影響出てる
conan2とか入れたのでsudo pip installしてる
なんかそのへんが影響かなあ
0713login:Penguin
垢版 |
2024/06/08(土) 18:38:54.02ID:XxjtcExg
>>712
wxがaudacityがaptの依存で入れたやつとconan2とやらで管理しているのの
2つ入ってるでしょ?
aptで入れたaudacitがconan2で管理しているwxを呼んで
フォント周りで不具合が起こっているとかじゃね?
0714login:Penguin
垢版 |
2024/06/08(土) 18:42:31.50ID:XxjtcExg
apt管理のwxとconan2管理のwxで
恐らく日本語フォントの扱いが違うので>>712のエラーが出ている
LANG=Cすると日本語フォントを使わないので起動できる
0715login:Penguin
垢版 |
2024/06/08(土) 18:45:53.58ID:XxjtcExg
$ ldd `which audacity` | grep libwx
して味噌
0716login:Penguin
垢版 |
2024/06/08(土) 21:01:51.43ID:UB9ZkTSD
>>715
apt版と野良両方の結果がこれ、野良は基本全て/usr/local配下に置いてる

$ ldd /usr/bin/audacity | grep libwx
libwx_gtk3u_adv-3.0.so.0 => /lib/x86_64-linux-gnu/libwx_gtk3u_adv-3.0.so.0 (0x00007f33b1c36000)
libwx_baseu-3.0.so.0 => /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0 (0x00007f33b1a07000)
libwx_gtk3u_core-3.0.so.0 => /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0 (0x00007f33b13fa000)
libwx_gtk3u_html-3.0.so.0 => /lib/x86_64-linux-gnu/libwx_gtk3u_html-3.0.so.0 (0x00007f33b1328000)
libwx_baseu_net-3.0.so.0 => /lib/x86_64-linux-gnu/libwx_baseu_net-3.0.so.0 (0x00007f33b12e8000)
libwx_gtk3u_qa-3.0.so.0 => /lib/x86_64-linux-gnu/libwx_gtk3u_qa-3.0.so.0 (0x00007f33b12bb000)
libwx_baseu_xml-3.0.so.0 => /lib/x86_64-linux-gnu/libwx_baseu_xml-3.0.so.0 (0x00007f33af791000)

$ ldd /usr/local/bin/audacity | grep libwx
libwx_gtk2u_qa-3.1.so => /usr/local/bin/../lib/audacity/libwx_gtk2u_qa-3.1.so (0x00007f855c5aa000)
libwx_baseu_net-3.1.so => /usr/local/bin/../lib/audacity/libwx_baseu_net-3.1.so (0x00007f855c557000)
libwx_gtk2u_core-3.1.so => /usr/local/bin/../lib/audacity/libwx_gtk2u_core-3.1.so (0x00007f855b94c000)
libwx_baseu-3.1.so => /usr/local/bin/../lib/audacity/libwx_baseu-3.1.so (0x00007f855a596000)
libwx_gtk2u_html-3.1.so => /usr/local/bin/../lib/audacity/libwx_gtk2u_html-3.1.so (0x00007f85599ee000)
libwx_baseu_xml-3.1.so => /usr/local/bin/../lib/audacity/libwx_baseu_xml-3.1.so (0x00007f855950b000)
0717login:Penguin
垢版 |
2024/06/08(土) 21:02:12.32ID:UB9ZkTSD
ちなみに
cd /usr/local/bin/../lib/audacity/ ってやると/usr/local/lib/audacityに移動する
その中には各種音楽codecのlibmp3lame.so、libvorbis.soやwx系のlibwx_baseu-3.1.soとか色々ある
野良ビルド時にシステムのライブラリを使うかってオプションがあるらしくそれをdisable(これがデフォルト)にしてると動作時に必要な
ライブラリ関連もビルドして/usr/local/lib/audacityに作るっぽいね
つまりシステム依存でなくビルド時に作られたaudacity動作時だけに参照されるライブラリなので通常はまず動くはずなんだけど
0718login:Penguin
垢版 |
2024/06/08(土) 21:07:15.49ID:XxjtcExg
じゃwxから呼んでいる/usr/local内にあるフォント周りのライブラリかなぁ
$ ldd /usr/bin/audacity | grep /usr/local
はどうでしょうか?
日本語フォント周りの機構でエラーが起きているのは間違いないよ
0719login:Penguin
垢版 |
2024/06/08(土) 21:40:24.76ID:UB9ZkTSD
これです、aptのやつも/usr/local配下を読んでますね
でも野良ffmpegビルド時にlocalに入れてるcodec関連とnvidiaの公式から入れたプロプライエタリのハードウエアエンコード系のOpenCLだけみたい
なんなんだろうね
ldd /usr/bin/audacity | grep /usr/local
libogg.so.0 => /usr/local/lib/libogg.so.0 (0x00007f43c9e7c000)
libvorbis.so.0 => /usr/local/lib/libvorbis.so.0 (0x00007f43c9e40000)
libvorbisenc.so.2 => /usr/local/lib/libvorbisenc.so.2 (0x00007f43c9d94000)
libvorbisfile.so.3 => /usr/local/lib/libvorbisfile.so.3 (0x00007f43c9d88000)
libOpenCL.so.1 => /usr/local/cuda/lib64/libOpenCL.so.1 (0x00007f43c8400000)
libopus.so.0 => /usr/local/lib/libopus.so.0 (0x00007f43c80f3000)
0720login:Penguin
垢版 |
2024/06/08(土) 23:56:23.64ID:XxjtcExg
$ mv $HOME/.audacity-data $HOME/.audacity-data.bak
して/usr/bin/audacityを起動するとどうでしょうか?
一時的に
# mv /usr/local /usr/local.bak
して /usr/bin/audacity を起動すると日本語で起動しないでしょうか?
0721login:Penguin
垢版 |
2024/06/09(日) 00:14:51.38ID:OptrwF4v
色々ありがとうございます。両方やっても起動しませんでした
端末で/usr/bin/audacityで起動すると
アプリは起動しないで下記のメッセージが延々と流れます

Pango-CRITICAL **: 00:12:04.817: pango_font_description_set_size: assertion 'size >= 0' failed
0722login:Penguin
垢版 |
2024/06/09(日) 02:46:52.20ID:VC63z71W
スレが異様に伸びてると思ったらまた暴れてるのか
0724login:Penguin
垢版 |
2024/06/09(日) 10:36:23.15ID:ZAk1HS3K
Plasma6.1っていつリリースですか?
当方Nvidiaなので多少バグがあっても555を使いたいんですけど、6.1じゃないと本領発揮できないんですよね?
0725login:Penguin
垢版 |
2024/06/10(月) 02:14:36.04ID:Wtfe166g
わざわざラリー形式にする意味ってなんなん?
0726login:Penguin
垢版 |
2024/06/17(月) 18:13:53.32ID:GuzAQINx
Fedora40/KDEをインストールしました。
日本語入力ができなかったので、ibus-anthyを消してfcitx5-mozcを入れました。
現在はタスクトレイでMozc(ペンギンicon)とInputMethodPabel(鉛筆icon)が切り替わります。
使用にあたって不具合はないっぽいのですが「fcitx5の設定が必要」的な通知が起動の度に出ます。
仮想キーボードをfcitx5にしろは設定済ですが、
詳細はfcitx-im.org/wiki/Using_Fcitx_5_on_Wayland#KDE_Plasmaを見ろ。は具体的にどうすればいいのかわからないので教えてください。
(im-config コマンドはありませんでした。)
0728login:Penguin
垢版 |
2024/06/18(火) 02:50:52.14ID:ITcq4YqR
openSUSEなら何の問題もなく日本語入力できるからナントカドラは避ける方が無難
0729login:Penguin
垢版 |
2024/06/18(火) 08:28:50.69ID:UlQtdbFl
>>726
どこかに環境変数が残ってるんじゃないかな
0730login:Penguin
垢版 |
2024/06/18(火) 10:26:41.33ID:NjRbVkZy
>>529 と同じ症状です。

>>726
残ってました
echo $QT_IM_MODULE
fcitx
~/にある.ファイル(.bash*と.gtk* )では設定されてませんでした(.bash_historyを除く)。どこだろ?

>>727
そこに載ってる
/etc/X11/Xsession.d/には90xbrlapiのみで70im-config_launch はありませんでした。
0732login:Penguin
垢版 |
2024/06/18(火) 17:43:22.81ID:hSPATTk1
>>731
cat /etc/environment 空
cat ~/.pam_environment そのようなファイルやディレクトリはありません
でした。
0733login:Penguin
垢版 |
2024/06/18(火) 18:42:13.03ID:/thfC+e4
/etc/profile.d/input-support.sh (多分違う)
スクリプトでブルートフォースで探したほうが速いですか
0734login:Penguin
垢版 |
2024/06/18(火) 21:07:57.34ID:ZViQtgpE
>>728
あえてFedora40/KDEを使うような人はLinux上級者だろ
だから、かなり難易度の高いトラブルも自己解決できる。
でも、そんな人が解決できないことを5chに助けてと来てもなって気がする
0735login:Penguin
垢版 |
2024/06/18(火) 22:45:02.39ID:1jGA1K1+
昔は書店で売ってたRED HAT LinuxについてたCDでインストールして使ってました。
その流れでFedoraを使ってるので決して上級者ではありません。
0737login:Penguin
垢版 |
2024/06/19(水) 02:51:09.31ID:q9zmb5S/
さんくす
>パネルの右端に表示されるキーボード・アイコンを...
キーボードアイコンはなく、クリックしても無反応な「インプットメソッドパネル」と吹き出す鉛筆アイコンしかありません。
0738login:Penguin
垢版 |
2024/06/19(水) 11:16:08.19ID:YUjTk/1Q
$QT_IM_MODULE を探し出せたのか、
$QT_IM_MODULE を削除できたのか、
削除後の再起動で『「fcitx5の設定が必要」的な通知』は依然出るのかを書かないと、読み手は解らないと思う。
0739login:Penguin
垢版 |
2024/06/19(水) 18:19:09.15ID:lOgvaDbr
>>734
上級者なら指定した文字列を含むファイル検索とか余裕なはずなんだけどね。
0740login:Penguin
垢版 |
2024/06/19(水) 20:35:02.89ID:PPabAOuT
.config/imsettings/xinputrc に
if test -f /usr/lib/qt4/plugins/inputmethods/qtim-fcitx5.so || \
test -f /usr/lib64/qt4/plugins/inputmethods/qtim-fcitx5.so || \
test -f /usr/lib/qt5/plugins/platforminputcontexts/libfcitx5platforminputcontextplugin.so || \
test -f /usr/lib64/qt5/plugins/platforminputcontexts/libfcitx5platforminputcontextplugin.so;
then
QT_IM_MODULE=fcitx
else
QT_IM_MODULE=xim
fi
があるけど...これなのかなぁ。
0741login:Penguin
垢版 |
2024/06/20(木) 01:41:47.24ID:bDWpO6V1
Plasma6.1きたけど2-3ヶ月はNVIDIA555入れたくないなぁ
何度裏切られた事か…
0742login:Penguin
垢版 |
2024/06/20(木) 15:59:47.89ID:N1FXCukb
kde plasmaがわざわざ起動方法変えろといって教えてくれてるのに
対応できないやつはマジでfedora向いてない
cent無くなっったってからかね
0743login:Penguin
垢版 |
2024/06/20(木) 22:14:12.20ID:8Ebhspzd
あてずっぽだけど、Fedoraに付いてるGUI入力メソッド設定ツールでfcitxを起動してからすぐオフにして再ログインしてみたら
0745login:Penguin
垢版 |
2024/06/21(金) 22:55:45.05ID:hogUt0zK
>>744
とっくに各種マネーへと換えてる
レスを投稿する


ニューススポーツなんでも実況